Update an inventory request Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developer.pattern.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Hub API MCP server": {
    "url": "https://developer.pattern.com/mcp"
  }
}

Close
PATCH /v1/inventory_requests/{id}

Path parameters

  • id string Required

    Inventory Request IR number

application/json

Body

  • warehouse_id integer

    ID of the destination warehouse

  • notes string

    Updated notes

  • estimated_ship_date string(date)

    Updated estimated ship date

  • shipment_method string

    Updated shipment method

    Values are CUSTOMER or PATTERN.

  • packslip_source string

    Updated packslip source

    Values are CUSTOMER or PATTERN.

  • exp_date string(date)

    Updated expiration date

  • lot_number string

    Updated lot number

Responses

  • 200

    Inventory request updated successfully

  • 422

    Unprocessable Entity - invalid update params

  • 404

    Inventory request not found

  • 401

    Unauthorized - missing org_id

PATCH /v1/inventory_requests/{id}
curl \
 --request PATCH 'https://api.pattern.com/hub/v1/inventory_requests/{id}' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"warehouse_id":42,"notes":"string","estimated_ship_date":"2026-05-04","shipment_method":"CUSTOMER","packslip_source":"CUSTOMER","exp_date":"2026-05-04","lot_number":"string"}'
Request examples
{
  "warehouse_id": 42,
  "notes": "string",
  "estimated_ship_date": "2026-05-04",
  "shipment_method": "CUSTOMER",
  "packslip_source": "CUSTOMER",
  "exp_date": "2026-05-04",
  "lot_number": "string"
}